Developers
ReferencePromo codes

List promo codes

List promo codes, newest first. Filter with `code` or `event`.

GET
/promocodes

List promo codes, newest first. Filter with code or event.

Authorization

http
AuthorizationBearer <token>

In: header

Query Parameters

code?|
Lengthlength <= 255
limit?integer

Number of objects to return, 1 to 100.

Default25
starting_after?string

Cursor: the id of the last object of the previous page.

event?string

Only objects of this event (evt_...).

updated_since?string

Only objects updated at or after this ISO 8601 time.

Formatdate-time
created_since?string

Only objects created at or after this ISO 8601 time.

Formatdate-time

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/promocodes"
{  "object": "list",  "url": "string",  "has_more": true,  "data": [    {      "id": "string",      "object": "promocode",      "code": "string",      "type": "string",      "percent_off": 0,      "amount_off": 0,      "currency": "eur",      "usage_limit": 0,      "times_used": 0,      "is_active": true,      "is_valid": true,      "valid_from": "string",      "valid_until": "string",      "events": [        "string"      ],      "ticket_types": [        "string"      ],      "created_at": "string",      "updated_at": "string"    }  ]}